#include <maps/wikimap/mapspro/services/mrc/eye/lib/detect_traffic_light/tests/common.h>

namespace maps::mrc::eye::tests {

bool hasSign(
        const db::eye::DetectedSigns& signs,
        const common::ImageBox& box,
        traffic_signs::TrafficSign type,
        bool temporary)
{
    for (size_t i = 0; i < signs.size(); ++i) {
        const auto sign = signs[i];
        if (sign.box == box and sign.type == type and sign.temporary == temporary) {
            return true;
        }
    }

    return false;
}

} // namespace maps::mrc::eye::tests
